Subject: Re: [PATCH v3 0/5] i2c: i2c-mpc: make I2C bus speed configurable

From: Wolfgang Grandegger <[email-masked]>
Date: Mon, 20 Apr 2009 11:01:10 +0200

Hi Ben,

Wolfgang Grandegger wrote:
> Wolfgang Grandegger wrote:
>> Kumar Gala wrote:
>>> On Apr 8, 2009, at 2:25 AM, Wolfgang Grandegger wrote:
>>>
>>>>> So I'm a bit concerned with the output we now get:
>>>>>
>>>>> mpc-i2c fffe03000.i2c: clock 0 Hz (dfsrr=16 fdr=49)
>>>>>
>>>>> why 0? is that right?
>>>> This is the backward compatibility mode using hard-coded FDR values. The
>>>> output is missleading, I agree.
>>>>
>>>> Wolfgang.
>>> Can the output be fixed.  0 Hz seemed bad to me.
>> Of course. No info message will be printed for the legacy case
>> like it was with the old driver version. I just realized a bug in the
>> MPC52xx part. Will send patches tomorrow, after some more thorough testing.
> 
> The patch below fixes both issues. Ben, could you please apply it. Sorry for
> the inconvenience caused.
> 
> Thanks,
> 
> Wolfgang.
> 
> 
> 
> [PATCH] i2c: i2c-mpc: bug fix for MPC52xx clock setting and printout
> 
> The clock setting did not work for the MPC52xx due to a stupid bug.
> Furthermore, the dev info output "clock=0" for old device trees was
> misleading. This patch fixes both issues.
> 
> Signed-off-by: Wolfgang Grandegger <[email-masked]>

Could you please apply this bug-fix for the MPC driver for 2.6.30.

  http://marc.info/?l=linux-i2c&m=123927120910293&w=2

Thanks,

Wolfgang.